#!/usr/bin/env python3
# -*- coding: utf-8 -*-
import os
import codecs
from setuptools import setup, find_packages

here = os.path.abspath(os.path.dirname(__file__))


def get_version():
    return codecs.open(os.path.join(here, 'VERSION')).read()

setup(
    name='acd',
    version=get_version(),
    author='Łukasz Żukowski',
    author_email='lukasz@zukowski.in',
    maintainer='Łukasz Żukowski',
    maintainer_email='lukasz@zukowski.in',
    test_suite='tests',
    description='ACD Framework',
    url='https://lzukowski.gitlab.io/acd/',
    license='MIT',
    classifiers=[
        'Development Status :: 1 - Planning',
        'Intended Audience :: Developers',
        'Operating System :: OS Independent',
        'Programming Language :: Python :: 3 :: Only',
        'Programming Language :: Python :: 3.6',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        'Topic :: Software Development :: Libraries :: Application Frameworks',
    ],
    packages=find_packages(
        include=['acd'], exclude=['tests*', 'docs', 'examples'],
    ),
    python_requires='>=3.6',
    setup_requires=['plantweb', 'sphinx'],
)
